%define pname     dvd
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.3.7
Release:        6
Epoch:		1
Summary:        This is the DVD plugin for the Video Disk Recorder (VDR).

Group:          Multimedia
License:        GPL
URL:            http://lcr.vdr-developer.org/
Source0:        vdr-dvd-0.3.7cvs.tar.bz2
Source200:      %{name}.runvdr
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0 libdvdcss-devel libdvdnav-devel liba52-devel
Requires:       vdr(abi) = %{apiver} fftw

%description
This is the DVD plugin for the Video Disk Recorder (VDR).

%prep
%setup -q -n %{pname}
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/%{pname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable %{pname} >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable %{pname} >/dev/null 2>&1
fi


%files
%defattr(-,root,root,-)
%doc README*
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%config(noreplace) %{_sysconfdir}/runvdr/%{pname}
/usr/lib/vdr/locale/

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.3.7-6
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.3.7-5
- rebuild against vdr-1.6.0-10
* Fri Mar 20 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.3.7-4
- updated cvs version
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.3.7-3
- rebuild against vdr-1.6.0-9
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.3.7-2
- runvdr integration
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.3.7-1
- rebuild against vdr-1.6.0-3
* Sun Jun 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.3.7-1.cvs
- Initial release, cvs version